> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finventi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of accounts

> Returns all accounts, optionally filtered by party ID



## OpenAPI

````yaml get /v1/accounts
openapi: 3.0.3
info:
  title: Ledger Client API
  version: 1.0.0
  description: API for ledger operations - parties, accounts, transactions
servers: []
security: []
tags:
  - name: Account Statements
    description: Retrieve account transaction history
  - name: Accounts
    description: Account management operations
  - name: Open Banking - Accounts
    description: PSD2 Account Information Service (AIS) - Account endpoints
  - name: Open Banking - Funds Confirmation
    description: PSD2 Confirmation of Funds Service (PIIS)
  - name: Open Banking - Payments
    description: PSD2 Payment Initiation Service (PIS)
  - name: Open Banking - Transactions
    description: PSD2 Account Information Service (AIS) - Transaction endpoints
  - name: Parties
    description: Party management operations
  - name: Payments
    description: Payment operations
  - name: Transaction Postings
    description: Retrieve transaction postings
  - name: Transactions
    description: Transaction execution operations
paths:
  /v1/accounts:
    get:
      tags:
        - Accounts
      summary: Get a list of accounts
      description: Returns accounts with optional filtering and pagination
      parameters:
        - name: currentLedgerAccounts
          in: query
          schema:
            description: Filter by current ledger account identifiers
            type: object
            example:
              - >-
                CUSTOMER:034995c6-7f46-4298-9569-cdf1bb572102:9c576ecc-3000-4ad2-9be9-876bb9b93de9:CURRENT
            nullable: true
        - name: iban
          in: query
          schema:
            description: Filter by IBAN
            type: string
            example: LT643500012345678901
            nullable: true
        - name: page
          in: query
          schema:
            format: int32
            description: Page number (0-based)
            minimum: 0
            type: integer
            example: 0
        - name: partyId
          in: query
          schema:
            format: uuid
            description: Filter by party ID
            pattern: >-
              [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
            type: string
            example: 019bdb2a-960f-789d-8955-21720e6cdeee
            nullable: true
        - name: size
          in: query
          schema:
            format: int32
            description: Number of items per page (max 100)
            maximum: 100
            minimum: 1
            type: integer
            example: 20
        - name: sortBy
          in: query
          schema:
            description: Field name to sort by
            default: createdAt
            type: string
            example: createdAt
        - name: sortDirection
          in: query
          schema:
            description: Sort direction
            default: DESC
            type: object
      responses:
        '200':
          description: Paginated list of accounts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseGetAccountResponse'
        '500':
          description: Internal server error
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
components:
  schemas:
    PagedResponseGetAccountResponse:
      description: Paginated response wrapper
      type: object
      properties:
        data:
          description: List of items for the current page
          type: array
          items:
            $ref: '#/components/schemas/GetAccountResponse'
        page:
          format: int32
          description: Current page number (0-based)
          type: integer
          example: 0
        size:
          format: int32
          description: Number of items per page
          type: integer
          example: 100
        totalPages:
          format: int32
          description: Total number of pages
          type: integer
          example: 5
    Problem:
      description: >-
        RFC 9457 problem details. See [Error Handling](/ledger/error-handling)
        for the response shape.
      required:
        - status
        - title
        - instance
      type: object
      properties:
        status:
          format: int32
          description: HTTP status code
          type: integer
          example: 500
        title:
          description: Short, human-readable summary of the problem type
          type: string
        instance:
          description: URI reference identifying this occurrence of the problem
          type: string
        detail:
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem
          type: string
          nullable: true
    GetAccountResponse:
      description: Account information
      type: object
      properties:
        accountId:
          format: uuid
          description: Account ID
          pattern: >-
            [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
          type: string
          example: 019bdb2a-960f-789d-8955-21720e6cdeed
        iban:
          description: Account IBAN
          type: string
          example: LT647044001231465456
        partyId:
          format: uuid
          description: Party ID
          pattern: >-
            [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
          type: string
          example: 019bdb2a-960f-789d-8955-21720e6cdeee
        status:
          description: Account status
          type: string
          allOf:
            - $ref: '#/components/schemas/AccountStatus'
        createdAt:
          format: date-time
          description: Account creation timestamp
          type: string
          example: '2026-01-22T13:47:21.542Z'
        statusUpdatedAt:
          format: date-time
          description: Timestamp of the last status change
          type: string
          example: '2026-01-22T13:47:21.542Z'
        balances:
          description: Balances per currency
          type: array
          items:
            $ref: '#/components/schemas/BalanceResponse'
        currentLedgerAccount:
          description: Current ledger account identifier
          type: string
          example: CUSTOMER:party-uuid:account-uuid:CURRENT
        holdingLedgerAccount:
          description: Holding ledger account identifier
          type: string
          example: CUSTOMER:party-uuid:account-uuid:HOLDING
    AccountStatus:
      description: Account status
      enum:
        - OPENED
        - CLOSED
        - BLOCKED
      type: string
    BalanceResponse:
      description: Balance for a specific currency
      type: object
      properties:
        currency:
          description: Currency code
          type: string
          example: EUR
        availableBalance:
          description: Available balance
          type: number
          example: 100000
        holdingBalance:
          description: Holding balance
          type: number
          example: 100000

````